summaryrefslogtreecommitdiffstats
path: root/libraries/libupnp-legacy
diff options
context:
space:
mode:
author Ozan Türkyılmaz2018-03-20 00:00:11 +0100
committer David Spencer2018-03-20 00:00:11 +0100
commit9ab6221ce8866b12ea4eb099f229b0a90dd26b50 (patch)
tree1c586bcf8c6012bfe6c61e09c6e33f5c1ee5e363 /libraries/libupnp-legacy
parent12e3c47e472eb2c2f34cb5778514de9d22df529b (diff)
downloadslackbuilds-9ab6221ce8866b12ea4eb099f229b0a90dd26b50.tar.gz
libraries/libupnp-legacy: Added (Portable SDK for UPnP Devices).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/libupnp-legacy')
-rw-r--r--libraries/libupnp-legacy/README11
-rw-r--r--libraries/libupnp-legacy/libupnp-legacy.SlackBuild106
-rw-r--r--libraries/libupnp-legacy/libupnp-legacy.info10
-rw-r--r--libraries/libupnp-legacy/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/libraries/libupnp-legacy/README b/libraries/libupnp-legacy/README
new file mode 100644
index 0000000000..903d909230
--- /dev/null
+++ b/libraries/libupnp-legacy/README
@@ -0,0 +1,11 @@
+The portable SDK for UPnP(tm) Devices (libupnp) provides developers
+with an API and open source code for building control points, devices,
+and bridges that are compliant with Version 1.0 of the Universal Plug
+and Play Device Architecture Specification and support several operating
+systems like Linux, *BSD, Solaris and others.
+
+Pass STATIC=yes for static libraries; Pass IPV6=yes for ipv6 support.
+
+This is legacy version for programs not supporting the new Libupnp ABI.
+
+libupnp-legacy conflicts with the libupnp package.
diff --git a/libraries/libupnp-legacy/libupnp-legacy.SlackBuild b/libraries/libupnp-legacy/libupnp-legacy.SlackBuild
new file mode 100644
index 0000000000..7883e13faf
--- /dev/null
+++ b/libraries/libupnp-legacy/libupnp-legacy.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for libupnp
+
+# Copyright 2010-2017 Ozan Türkyılmaz İstanbul, TUR
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libupnp-legacy
+VERSION=${VERSION:-1.6.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+[ "${STATIC:-no}" != "no" ] && ENABLESTATIC=yes || ENABLESTATIC=no
+[ "${IPV6:-no}" != "no" ] && ENABLEIPV6=yes || ENABLEIPV6=no
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# largefile support must be disabled on 32bit
+LARGEFILE="" ; [ "$ARCH" = "i686" ] || [ "$ARCH" = "i586" ] && LARGEFILE="--disable-largefile"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf libupnp-$VERSION
+tar xvf $CWD/libupnp-$VERSION.tar.bz2
+cd libupnp-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --enable-static=$ENABLESTATIC \
+ --enable-ipv6=$ENABLEIPV6 \
+ $LARGEFILE \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libupnp-legacy/libupnp-legacy.info b/libraries/libupnp-legacy/libupnp-legacy.info
new file mode 100644
index 0000000000..26b5a33816
--- /dev/null
+++ b/libraries/libupnp-legacy/libupnp-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="libupnp-legacy"
+VERSION="1.6.17"
+HOMEPAGE="http://pupnp.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/pupnp/libupnp-1.6.17.tar.bz2"
+MD5SUM="efbf0d470ce7157bc0e6ca836e246de5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/libraries/libupnp-legacy/slack-desc b/libraries/libupnp-legacy/slack-desc
new file mode 100644
index 0000000000..722664db63
--- /dev/null
+++ b/libraries/libupnp-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libupnp-legacy: libupnp-legacy (Portable SDK for UPnP Devices)
+libupnp-legacy:
+libupnp-legacy: The portable SDK for UPnP Devices (libupnp-legacy) provides developers
+libupnp-legacy: with an API and open source code for building control points, devices,
+libupnp-legacy: and bridges that are compliant with Version 1.0 of the Universal Plug
+libupnp-legacy: and Play Device Architecture Specification and support several
+libupnp-legacy: operating systems like Linux, *BSD, Solaris and others.
+libupnp-legacy:
+libupnp-legacy: libupnp-legacy is the legacy old ABI version.
+libupnp-legacy:
+libupnp-legacy: